This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 524083

Summary: virt-manager storage "Allocation" field can be set higher than "Max Capacity"
Product: [Fedora] Fedora Reporter: Evan McNabb <emcnabb>
Component: virt-managerAssignee: Cole Robinson <crobinso>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: berrange, crobinso, hbrock, markmc, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-05 14:54:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 498969    

Description Evan McNabb 2009-09-17 15:40:12 EDT
Description of problem:
It is possible to set "Allocation" higher than "Max Capacity" on the "Add a Storage Volume" page. If Allocation is set to a value higher than Max Capacity, it should probably dynamically set Max Capacity to whatever Allocation value is entered (at least this is how it behaves in the screen for changing guest memory).

Version-Release number of selected component (if applicable):
virt-manager-0.8.0-3.fc12.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. Go to "Add a Storage Volume" page
2. Set "Max Capacity" to 5000, and "Allocation" to 10000.
3. Click "Create Volume" and this is considered valid.
  
Actual results:


Expected results:


Additional info:
Comment 1 Cole Robinson 2009-10-05 14:54:50 EDT
This is fixed in virt-manager-0.8.0-7.fc12 which is queued up for F12 GA. Closing as CURRENTRELEASE.